From f59cc9ef227d96a8e3b22ef993ad79f407be9ec8 Mon Sep 17 00:00:00 2001
From: Vitaly Burovoy <vitaly.burovoy@gmail.com>
Date: Wed, 7 Sep 2022 20:30:46 +0000
Subject: [PATCH 2/2] Doc styling for MERGE statement

---
 doc/src/sgml/ref/merge.sgml | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

diff --git a/doc/src/sgml/ref/merge.sgml b/doc/src/sgml/ref/merge.sgml
index 2db6b7e698..e07addaea4 100644
--- a/doc/src/sgml/ref/merge.sgml
+++ b/doc/src/sgml/ref/merge.sgml
@@ -554,18 +554,18 @@ MERGE <replaceable class="parameter">total_count</replaceable>
   <title>Examples</title>
 
   <para>
-   Perform maintenance on <literal>CustomerAccounts</literal> based
-   upon new <literal>Transactions</literal>.
+   Perform maintenance on <literal>customer_accounts</literal> based
+   upon new <literal>recent_transactions</literal>.
 
 <programlisting>
-MERGE INTO CustomerAccount CA
-USING RecentTransactions T
-ON T.CustomerId = CA.CustomerId
+MERGE INTO customer_account ca
+USING recent_transactions t
+ON t.customer_id = ca.customer_id
 WHEN MATCHED THEN
-  UPDATE SET Balance = Balance + TransactionValue
+  UPDATE SET balance = balance + transaction_value
 WHEN NOT MATCHED THEN
-  INSERT (CustomerId, Balance)
-  VALUES (T.CustomerId, T.TransactionValue);
+  INSERT (customer_id, balance)
+  VALUES (t.customer_id, t.transaction_value);
 </programlisting>
   </para>
 
@@ -575,14 +575,14 @@ WHEN NOT MATCHED THEN
    during execution.
 
 <programlisting>
-MERGE INTO CustomerAccount CA
-USING (SELECT CustomerId, TransactionValue FROM RecentTransactions) AS T
-ON T.CustomerId = CA.CustomerId
+MERGE INTO customer_account ca
+USING (SELECT customer_id, transaction_value FROM recent_transactions) AS t
+ON t.customer_id = ca.customer_id
 WHEN MATCHED THEN
-  UPDATE SET Balance = Balance + TransactionValue
+  UPDATE SET balance = balance + transaction_value
 WHEN NOT MATCHED THEN
-  INSERT (CustomerId, Balance)
-  VALUES (T.CustomerId, T.TransactionValue);
+  INSERT (customer_id, balance)
+  VALUES (t.customer_id, t.transaction_value);
 </programlisting>
   </para>
 
-- 
2.35.1

